;dmaze  --
;finding a path through a maze using skeletons (w/o end pixels)
;
#include timdefs.h
parms
  int windis
  file timdemo
  int helpitem
  int hmode
endparms

int err, fgtyp, bitplane

fgtyp = ver 1
if (ver 1) == MK_CORTEX1
  bitplane = 8
else
  bitplane = red
endif

dest p
show p
;err = chk lut 3
*selut 3
zoom 1
tcopy maze p
bit 8
era 6 7
help timdemo helpitem hmode
*windispl h (windis+NO_DITHER+WINLUT3)
lskz bitplane
*windispl i (windis+NO_DITHER)

if bitplane == 8
  lut 3 1 5 6
endif
stop

